﻿
$ErrorActionPreference = 'Stop';

$adocjVersion = '2.4.3'
$packageName  = 'asciidoctorj'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url          = "https://search.maven.org/remotecontent?filepath=org/asciidoctor/asciidoctorj/$($adocjVersion)/asciidoctorj-$($adocjVersion)-bin.zip"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '3f51281ac38a13cf277215dc14381de4a035862e5d99bbbbf1f0cd6216403a2b'
  checksumType  = 'sha256'
}


Install-ChocolateyZipPackage @packageArgs


Install-BinFile -name 'asciidoctorj' -path "$toolsDir\asciidoctorj-$($adocjVersion)\bin\asciidoctorj.bat"
